#!/bin/sh

. /etc/rc.conf

smbspool=/var/spool/samba
pidfiledir=/var/run
smbd=/usr/hddapp/sbin/smbd
nmbd=/usr/hddapp/sbin/nmbd

# start
if [ "x$1" = "x" -o "x$1" = "xstart" ]; then
	if [ -f $smbd ]; then
		if [ -d $smbspool ]; then
			rm -f $smbspool/*
		fi
		echo
		echo "##################"
		echo ' Starting Samba'
		echo "##################"
		$smbd -D
		$nmbd -D
	fi

# stop
elif [ "x$1" = "xstop" ]; then
	killall smbd
	kill -9 `cat $pidfiledir/nmbd.pid`
	echo
	echo "##################"
	echo ' Stoping Samba'
	echo "##################"
elif [ "x$1" = "xrestart" ]; then
	$0 stop
	$0 start
fi
