#!/bin/ash
#
# This Script will parse you /system/overly/savedata.conf
# and restore all the file to the ramdisk
#
echo "Restoring data to Ramdisk"
for i in `cat /system/overlay/savedata.conf | sed '/^#/d'`
do
  source=`echo $i | cut -d':' -f1`
  dest=`echo $i | cut -d':' -f2`  
  if [ -f /system/overlay/data/$dest ]; then
    echo "copying /system/overlay/data/$dest to $source"
    cp -a /system/overlay/data/$dest $source 
  fi
done
